#!/bin/bash
source `dirname $0`/conf/settings
cd `dirname $0`

if [ $# -ne 1 ] ; then
    echo "$0 <zone>";
    exit;
fi
if [ ! -d zones/$1 ] ; then
    mkdir zones/$1;
fi
cd zones/$1
$keygen -a NSEC3RSASHA1 -b 2048 -e -n ZONE $1
