#!/bin/bash
source `dirname $0`/conf/settings
cd `dirname $0`

if [ $# -ne 2 ] ; then
	echo "$0 <domain.tld> <key>"
	exit
fi 
if [ ! -d zones/$1 ] ; then
    echo "zone $1 does not exists"
    exit
fi

if [ -f zones/$1/$2.key -a -f zones/$1/$2.private ] ; then
    echo "Retire key $2 for $1"
    mv zones/$1/$2.key zones/$1/$2.oldkey
    mv zones/$1/$2.private zones/$1/$2.oldprivate
fi
